威胁预警通告 JavaScript引擎MuJS爆出堆栈溢出漏洞 请尽快升级最新版本-阿里云开发者社区

开发者社区> 晚来风急> 正文

威胁预警通告 JavaScript引擎MuJS爆出堆栈溢出漏洞 请尽快升级最新版本

简介:
+关注继续查看

MuJS近日曝出多个堆溢出漏洞,绿盟科技给出的威胁预警级别为低级,这意味着影响较小,危害程度较小。修复方法请下载使用最新版本的MuJS:

1、使用git命令进行最新源码下载

“git clone git://git.ghostscript.com/mujs.git”

2、或到官网进行下载,链接如下https://github.com/ccxvii/mujs

JavaScript引擎MuJS漏洞描述

Bug 697136

提交时间:2016年9月20日

POC及其详情见如下链接:

http://ghostscript.com/pipermail/gs-bugs/2016-September/045650.html

Bug 697137

提交时间:2016年9月20日

POC及其详情见如下链接:

http://ghostscript.com/pipermail/gs-bugs/2016-September/045653.html

Bug 697140

提交时间:2016年9月21日

POC及其详情见如下链接:

http://ghostscript.com/pipermail/gs-bugs/2016-September/045671.html

Bug 697141

提交时间:2016年9月21日

POC及其详情见如下链接:

http://ghostscript.com/pipermail/gs-bugs/2016-September/045672.html

Bug 697142

提交时间:2016年9月21日

POC及其详情见如下链接:

http://ghostscript.com/pipermail/gs-bugs/2016-September/045675.html

绿盟科技威胁事件定级标准

  1. 级别高:影响范围比较广,危害严重,利用难度较低,7*24小时内部应急跟踪,24小时内完成技术分析、产品升级和防护方案。
  2. 级别中:影响范围可控,危害程度可控,利用难度较高,7*8小时内部应急跟踪,72小时内完成技术分析、产品升级和防护方案。
  3. 级别低:影响较小,危害程度较小。

JavaScript引擎是什么

JavaScript引擎有很多种,不同浏览器有不同的JS引擎,比如:

WebKit , Safari浏览器           SquirrelFish Extreme,

Firefox                                   TraceMonkey引擎

Google Chrome                    V8引擎,(C++)

Opera                                   Carakan

Mozilla                                 SpiderMonkey(C语言)

Mozilla                                  Rhino( Java)

Mozilla                                 JaegerMonkey

MuJS是什么

MuJS 是一个轻量级的 JavaScript 解释器,用于嵌入到其他的软件中提供脚本执行功能。使用可移植 C 编写,实现了 ECMA-262 规定的 ECMAScript 标准。

开发 MuJS 的原因是 V8、SpiderMonkey 和 JavaScriptCore 都太大太复杂了,MuJS 提供一个非常精简、无错和简单的实现。

绿盟科技声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

JavaScript引擎MuJS爆出堆栈溢出漏洞的相关文章

Google Chrome V8漏洞 安卓4.4.4到5.1版本手机APP受影响 绿盟云给出chrome v8漏洞检测工具


原文发布时间:2017年3月24日

本文由:绿盟科技 发布,版权归属于原作者

原文链接:http://toutiao.secjia.com/javascript-engine-mujs-stack-overflow-vulnerability

本文来自云栖社区合作伙伴安全加,了解相关信息可以关注安全加网站

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
升级 | Java开源诊断工具 Arthas 发布v3.1.0
Arthas 自2018年9月份上线以来「传送门」,已收获近万个star,感谢开发者们的认可。此次Arthas 3.1.0版本的发布,不仅带来大家投票出来的新LOGO,还带来强大的新功能和更好的易用性,下面一一介绍。
8216 0
Java提升篇-事务隔离级别和传播机制
问题的提出 为了保证并发操作数据的正确性及一致性,SQL规范于1992年提出了数据库事务隔离级别。 事务隔离级别分类 事务隔离级别由低往高可分为以下几类 READ UNCOMMITTED,读取未提交的数据。
970 0
升级docker并构建自己的app
版权声明:您好,转载请留下本人博客的地址,谢谢 https://blog.csdn.net/hongbochen1223/article/details/70880786 现在docker已经升级了很多版本了,而我目前的docker版本仍然是1.12.5,比较老的版本,所以现在我们需要升级我们的docker版本,首先是如何查看我们系统中的docker版本呢? 运行命令docker --version即可查看。
1137 0
java反序列化漏洞入门分析
参考文献: https://nickbloor.co.uk/2017/08/13/attacking-java-deserialization/amp/https://www.
1672 0
CentOS 升级 git 1.x.x 到 2.x.x 最新版本
在安装完 CentOS 系统之后,自带的 git 版本比较老,有很多功能用不了, 我们需要升级 git 到最新版本,通过 yum update git 发现并不能完成自动升级, 我这里采用手动升级的方式。
2812 0
+关注
9380
文章
243
问答
文章排行榜
最热
最新
相关电子书
更多
《2021云上架构与运维峰会演讲合集》
立即下载
《零基础CSS入门教程》
立即下载
《零基础HTML入门教程》
立即下载